Skip to main content

HttpRequestRegexMatcher

Matches HTTP requests based on method, base URL, URL path pattern, query parameters, and headers. Use url_base to specify the scheme and host (without trailing slash) and url_path_pattern to apply a regex to the request path.

  • type: object

method​

The HTTP method to match (e.g., GET, POST).

  • Required: No
  • type: string

url_base​

The base URL (scheme and host, e.g. "https://api.example.com") to match.

  • Required: No
  • type: string

url_path_pattern​

A regular expression pattern to match the URL path.

  • Required: No
  • type: string

params​

The query parameters to match.

  • Required: No
  • type: object

headers​

The headers to match.

  • Required: No
  • type: object

weight​

The weight of a request matching this matcher when acquiring a call from the rate limiter. Different endpoints can consume different amounts from a shared budget by specifying different weights. If not set, each request counts as 1.

  • Required: No

  • anyOf:

    • type: integer
  • anyOf:

    • type: string